Hostinger-Discuz!无法安装的解决方案(数据库原因)

Discuz!无法安装的解决方案(数据库原因)

 

关于Discuz!无法安装的问题,我们进行了测试,发现是数据库的问题:我们提供的是最新5.5版本的MySQL,而Discuz!使用的是老版本的MySQL,由于新版的MySQL中使用ENGINE并放弃了TYPE函数,因此您需要按照以下步骤来安装Discuz!

1、 将程序解压并上传至服务器;

2、 用文本编辑器或其他编辑软件打开/install/data/install.sql文件;

3、 将其中所有的TYPE=替换为ENGINE=;

4、 在浏览器运行安装文件。

这样您就能顺利安装Discuz!了

标签